
# No friction sub-setting
execute if score CM.global CM_NoMinecartBoostGroundFriction matches 0 run tellraw @s ["",{"text":"→","color":"gold"},{"color":"#FF3333","text":" ● "},{"text":"{No minecart boost friction}","bold":true,"color":"#FF9E0C","hover_event":{"action":"show_text","value":[{"text":"DESCRIPTION:\n","color":"#F8A12F","bold":true},{"text":"Disables the friction system, allowing boosted minecarts to slide off on the ground indefinitely until their acceleration naturally runs out\n\n(Note that having this sub-module enabled means that the friction value below is not applicable, and as such, meaningless)","color":"#F8D563","bold":false}]}},{"color":"#FFAD33","hover_event":{"action":"show_text","value":[{"text":"This sub-setting module is ","color":"gold","italic":false,"underlined":false},{"text":"dependent","color":"gold","italic":true,"underlined":true},{"text":" on its parent module","color":"gold","italic":false,"underlined":false}]},"text":" ⏹ "},{"text":"\n  "},{"text":"\u2514","color":"gold"},{"text":" "},{"text":"[Enable]","color":"#2AA946","click_event":{"action":"run_command","command":"/function classic_toggles:toggles_special/no_minecart_boost_ground_friction_toggle {\"value\":\"1\"}"},"hover_event":{"action":"show_text","value":[{"text":">Click to enable","color":"#1AC926","bold":true}]}},{"text":" "},{"text":"[Disable]","color":"#F9403E","click_event":{"action":"run_command","command":"/function classic_toggles:toggles_special/no_minecart_boost_ground_friction_toggle {\"value\":\"0\"}"},"hover_event":{"action":"show_text","value":[{"text":">Click to disable","color":"#E02626","bold":true}]}},{"text":"\n"}]
execute if score CM.global CM_NoMinecartBoostGroundFriction matches 1 run tellraw @s ["",{"text":"→","color":"gold"},{"color":"#44FF3D","text":" ● "},{"text":"{No minecart boost friction}","bold":true,"color":"#FF9E0C","hover_event":{"action":"show_text","value":[{"text":"DESCRIPTION:\n","color":"#F8A12F","bold":true},{"text":"Disables the friction system, allowing boosted minecarts to slide off on the ground indefinitely until their acceleration naturally runs out\n\n(Note that having this sub-module enabled means that the friction value below is not applicable, and as such, meaningless)","color":"#F8D563","bold":false}]}},{"color":"#FFAD33","hover_event":{"action":"show_text","value":[{"text":"This sub-setting module is ","color":"gold","italic":false,"underlined":false},{"text":"dependent","color":"gold","italic":true,"underlined":true},{"text":" on its parent module","color":"gold","italic":false,"underlined":false}]},"text":" ⏹ "},{"text":"\n  "},{"text":"\u2514","color":"gold"},{"text":" "},{"text":"[Enable]","color":"#2AA946","click_event":{"action":"run_command","command":"/function classic_toggles:toggles_special/no_minecart_boost_ground_friction_toggle {\"value\":\"1\"}"},"hover_event":{"action":"show_text","value":[{"text":">Click to enable","color":"#1AC926","bold":true}]}},{"text":" "},{"text":"[Disable]","color":"#F9403E","click_event":{"action":"run_command","command":"/function classic_toggles:toggles_special/no_minecart_boost_ground_friction_toggle {\"value\":\"0\"}"},"hover_event":{"action":"show_text","value":[{"text":">Click to disable","color":"#E02626","bold":true}]}},{"text":"\n"}]

# Info
tellraw @s [{"text":"→     ","color":"gold","bold":false},{"bold":true,"color":"#FF9E0C","text":"["},{"bold":true,"color":"#FFCC00","hover_event":{"action":"show_text","value":[{"text":"INFO: ","color":"#FFC300","bold":true},{"text":"\n\nThis boost value is added towards the minecart's \"acceleration\" - the minecart velocity will of course cap at 8m/s in vanilla but the acceleration value is still stored with each minecart which will continue their forwards motion indefinitely until the acceleration runs out! Increasing this value will allow minecarts to go farther from boosters, while decreasing the value will have the opposite effect!\n\nDefault: 20","color":"#FFDD00","bold":false}]},"text":"INFO"},{"bold":true,"color":"#FF9E0C","text":"]"}]

# Minecart boost increase value display
tellraw @s [{"bold":true,"color":"gold","text":"→ "},{"bold":true,"color":"#FF9E0C","text":"Minecart Boost Increase: "},{"bold":true,"color":"#FFCC00","text":"{ "},{"bold":false,"color":"#FFE11C","score":{"name":"CM.global","objective":"CM_MinecartBoostTime"}},{"bold":true,"color":"#FFCC00","text":" }\n"}]

# Increase buttons
tellraw @s [{"bold":false,"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/increase_booster_amount {\"amount\":\"1\"}"},"color":"#29C724","hover_event":{"action":"show_text","value":[{"text":"Click to increase the boost time increase by +1!","color":"#2DC437"}]},"text":"[+1] "},{"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/increase_booster_amount {\"amount\":\"5\"}"},"color":"#29C724","hover_event":{"action":"show_text","value":[{"text":"Click to increase the boost time increase by +5!","color":"#2DC437"}]},"text":"[+5] "},{"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/increase_booster_amount {\"amount\":\"10\"}"},"color":"#29C724","hover_event":{"action":"show_text","value":[{"text":"Click to increase the boost time increase by +10!","color":"#2DC437"}]},"text":"[+10] "}]

# Decrease buttons
tellraw @s [{"bold":false,"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/decrease_booster_amount {\"amount\":\"1\"}"},"color":"#C70E08","hover_event":{"action":"show_text","value":[{"text":"Click to decrease the boost time increase by -1!","color":"#C42E23"}]},"text":"[-1] "},{"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/decrease_booster_amount {\"amount\":\"5\"}"},"color":"#C70E08","hover_event":{"action":"show_text","value":[{"text":"Click to decrease the boost time increase by -5!","color":"#C42E23"}]},"text":"[-5] "},{"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/decrease_booster_amount {\"amount\":\"10\"}"},"color":"#C70E08","hover_event":{"action":"show_text","value":[{"text":"Click to decrease the boost time increase by -10!","color":"#C42E23"}]},"text":"[-10] "}]

# Reset button
tellraw @s {"click_event":{"action":"run_command","command":"/function classic_mechanics:option_categories/special_pages/minecart_boosters/reset_booster_amount"},"color":"#EB4E36","hover_event":{"action":"show_text","value":[{"text":"Click to reset to the default value!","color":"#D94C4C"}]},"text":"[Reset]"}

# >> small seperator
tellraw @s [{"text":"\n"}]